## Update the current settings for the active account `client.networkInterconnects.settings.update(SettingUpdateParamsparams, RequestOptionsoptions?): SettingUpdateResponse` **put** `/accounts/{account_id}/cni/settings` Update the current settings for the active account ### Parameters - `params: SettingUpdateParams` - `account_id: string` Path param: Account tag to update settings for - `default_asn?: number | null` Body param ### Returns - `SettingUpdateResponse` - `default_asn: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const setting = await client.networkInterconnects.settings.update({ account_id: 'account_id' }); console.log(setting.default_asn); ``` #### Response ```json { "default_asn": 0 } ```